class TranslateFilterForm
Same name and namespace in other branches
- 10 core/modules/locale/src/Form/TranslateFilterForm.php \Drupal\locale\Form\TranslateFilterForm
- 9 core/modules/locale/src/Form/TranslateFilterForm.php \Drupal\locale\Form\TranslateFilterForm
- 8.9.x core/modules/locale/src/Form/TranslateFilterForm.php \Drupal\locale\Form\TranslateFilterForm
- main core/modules/locale/src/Form/TranslateFilterForm.php \Drupal\locale\Form\TranslateFilterForm
Provides a filtered translation edit form.
@internal
Hierarchy
- class \Drupal\locale\Form\TranslateFilterForm extends \Drupal\locale\Form\TranslateFormBase
Expanded class hierarchy of TranslateFilterForm
File
-
core/
modules/ locale/ src/ Form/ TranslateFilterForm.php, line 12
Namespace
Drupal\locale\FormView source
class TranslateFilterForm extends TranslateFormBase {
/**
* {@inheritdoc}
*/
public function getFormId() {
return 'locale_translate_filter_form';
}
/**
* {@inheritdoc}
*/
public function buildForm(array $form, FormStateInterface $form_state) {
$filters = $this->translateFilters();
$filter_values = $this->translateFilterValues();
$form['#attached']['library'][] = 'locale/drupal.locale.admin';
$form['filters'] = [
'#type' => 'details',
'#title' => $this->t('Filter translatable strings'),
'#open' => TRUE,
'#attributes' => [
'class' => [
'clearfix',
],
],
];
foreach ($filters as $key => $filter) {
// Special case for 'string' filter.
if ($key == 'string') {
$form['filters']['status']['string'] = [
'#type' => 'search',
'#title' => $filter['title'],
'#description' => $filter['description'],
'#default_value' => $filter_values[$key],
];
}
else {
$empty_option = $filter['options'][$filter['default']] ?? '- None -';
$form['filters']['status'][$key] = [
'#title' => $filter['title'],
'#type' => 'select',
'#empty_value' => $filter['default'],
'#empty_option' => $empty_option,
'#size' => 0,
'#options' => $filter['options'],
'#default_value' => $filter_values[$key],
];
if (isset($filter['states'])) {
$form['filters']['status'][$key]['#states'] = $filter['states'];
}
}
}
$form['filters']['actions'] = [
'#type' => 'actions',
'#attributes' => [
'class' => [
'container-inline',
],
],
];
$form['filters']['actions']['submit'] = [
'#type' => 'submit',
'#value' => $this->t('Filter'),
];
if ($this->getRequest()
->getSession()
->has('locale_translate_filter')) {
$form['filters']['actions']['reset'] = [
'#type' => 'submit',
'#value' => $this->t('Reset'),
'#submit' => [
'::resetForm',
],
];
}
return $form;
}
/**
* {@inheritdoc}
*/
public function submitForm(array &$form, FormStateInterface $form_state) {
$filters = $this->translateFilters();
$session_filters = $this->getRequest()
->getSession()
->get('locale_translate_filter', []);
foreach ($filters as $name => $filter) {
if ($form_state->hasValue($name)) {
$session_filters[$name] = trim($form_state->getValue($name));
}
}
$this->getRequest()
->getSession()
->set('locale_translate_filter', $session_filters);
$form_state->setRedirect('locale.translate_page');
}
/**
* Provides a submit handler for the reset button.
*/
public function resetForm(array &$form, FormStateInterface $form_state) {
$this->getRequest()
->getSession()
->remove('locale_translate_filter');
$form_state->setRedirect('locale.translate_page');
}
}
Members
| Title Sort descending | Deprecated | Modifiers | Object type | Summary | Overriden Title | Overrides |
|---|---|---|---|---|---|---|
| AutowiredInstanceTrait::createInstanceAutowired | public static | function | Instantiates a new instance of the implementing class using autowiring. | |||
| AutowiredInstanceTrait::getAutowireArguments | private static | function | Resolves arguments for a method using autowiring. | |||
| AutowireTrait::create | public static | function | Instantiates a new instance of the implementing class using autowiring. | 132 | ||
| DependencySerializationTrait::$_entityStorages | protected | property | An array of entity type IDs keyed by the property name of their storages. | |||
| DependencySerializationTrait::$_serviceIds | protected | property | An array of service IDs keyed by property name used for serialization. | |||
| DependencySerializationTrait::__sleep | public | function | 2 | |||
| DependencySerializationTrait::__wakeup | public | function | 2 | |||
| FormBase::$configFactory | protected | property | The config factory. | 1 | ||
| FormBase::$requestStack | protected | property | The request stack. | 1 | ||
| FormBase::$routeMatch | protected | property | The route match. | |||
| FormBase::config | protected | function | Retrieves a configuration object. | |||
| FormBase::configFactory | protected | function | Gets the config factory for this form. | 1 | ||
| FormBase::container | private | function | Returns the service container. | |||
| FormBase::currentUser | protected | function | Gets the current user. | 2 | ||
| FormBase::getRequest | protected | function | Gets the request object. | Overrides HtmxRequestInfoTrait::getRequest | ||
| FormBase::getRouteMatch | protected | function | Gets the route match. | |||
| FormBase::logger | protected | function | Gets the logger for a specific channel. | |||
| FormBase::redirect | protected | function | Returns a redirect response object for the specified route. | |||
| FormBase::resetConfigFactory | public | function | Resets the configuration factory. | |||
| FormBase::setConfigFactory | public | function | Sets the config factory for this form. | |||
| FormBase::setRequestStack | public | function | Sets the request stack object to use. | |||
| FormBase::validateForm | public | function | Overrides FormInterface::validateForm | 55 | ||
| HtmxRequestInfoTrait::getHtmxCurrentUrl | protected | function | Retrieves the URL of the requesting page from an HTMX request header. | |||
| HtmxRequestInfoTrait::getHtmxPrompt | Deprecated | protected | function | Retrieves the prompt from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxTarget | protected | function | Retrieves the target identifier from an HTMX request header. | |||
| HtmxRequestInfoTrait::getHtmxTrigger | Deprecated | protected | function | Retrieves the trigger identifier from an HTMX request header. | ||
| HtmxRequestInfoTrait::getHtmxTriggerName | protected | function | Retrieves the trigger name from an HTMX request header. | |||
| HtmxRequestInfoTrait::isHtmxBoosted | protected | function | Determines if the request is boosted by HTMX. | |||
| HtmxRequestInfoTrait::isHtmxHistoryRestoration | protected | function | Determines if if the request is for history restoration. | |||
| HtmxRequestInfoTrait::isHtmxRequest | protected | function | Determines if the request is sent by HTMX. | |||
| LoggerChannelTrait::$loggerFactory | protected | property | The logger channel factory service. | |||
| LoggerChannelTrait::getLogger | protected | function | Gets the logger for a specific channel. | |||
| LoggerChannelTrait::setLoggerFactory | public | function | Injects the logger channel factory. | |||
| MessengerTrait::$messenger | protected | property | The messenger. | 29 | ||
| MessengerTrait::messenger | public | function | Gets the messenger. | 29 | ||
| MessengerTrait::setMessenger | public | function | Sets the messenger. | |||
| RedirectDestinationTrait::$redirectDestination | protected | property | The redirect destination service. | 2 | ||
| RedirectDestinationTrait::getDestinationArray | protected | function | Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url. | |||
| RedirectDestinationTrait::getRedirectDestination | protected | function | Returns the redirect destination service. | |||
| RedirectDestinationTrait::setRedirectDestination | public | function | Sets the redirect destination service. | |||
| StringTranslationTrait::$stringTranslation | protected | property | The string translation service. | 3 | ||
| StringTranslationTrait::formatPlural | protected | function | Formats a string containing a count of items. | |||
| StringTranslationTrait::getNumberOfPlurals | protected | function | Returns the number of plurals supported by a given language. | |||
| StringTranslationTrait::getStringTranslation | protected | function | Gets the string translation service. | |||
| StringTranslationTrait::setStringTranslation | public | function | Sets the string translation service to use. | 2 | ||
| StringTranslationTrait::t | protected | function | Translates a string to the current language or to a given language. | 1 | ||
| TranslateFilterForm::buildForm | public | function | Overrides FormInterface::buildForm | |||
| TranslateFilterForm::getFormId | public | function | Overrides FormInterface::getFormId | |||
| TranslateFilterForm::resetForm | public | function | Provides a submit handler for the reset button. | |||
| TranslateFilterForm::submitForm | public | function | Overrides FormInterface::submitForm | |||
| TranslateFormBase::$filterValues | protected static | property | Filter values. Shared between objects that inherit this class. | |||
| TranslateFormBase::translateFilterLoadStrings | protected | function | Builds a string search query and returns an array of string objects. | |||
| TranslateFormBase::translateFilters | protected | function | Lists locale translation filters that can be applied. | |||
| TranslateFormBase::translateFilterValues | protected | function | Builds an array out of search criteria specified in request variables. | |||
| TranslateFormBase::__construct | public | function |
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.